Foreman - Bug #10699

Options -u and -a must be exclusive for foreman-debug
06/04/2015 04:07 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Packaging
Target version: 1.9.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: 1226014 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2430
Description

Steps to Reproduce:
1. foreman-debug -g -v -a -d /timp/test
2. View results

Actual results:
A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:

rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

Do you want to do this now? [y/N] y
Uploading...

rsync: link_stat "/tmp/test.tar.xz" failed: No such file or directory (2)

Associated revisions

Revision a94b02d8 - 06/04/2015 01:28 PM - Lukas Zapletal

Fixes #10699 - foreman debug options -au are exclusive

History

#1 - 06/04/2015 04:09 AM - Lukas Zapletal

- Subject changed from Options -u and -d must be exclusive for foreman-debug to Options -u and -a must be exclusive for foreman-debug

#2 - 06/04/2015 04:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2430 added
- Pull request deleted ()

#3 - 06/04/2015 02:02 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a94b02d8c7c10c2a7ab55a05ee1df9c2083d5488.

#4 - 06/05/2015 05:16 AM - Dominic Cleal

- translation missing: en.field_release set to 35
